Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359905 - SELinux is preventing 43505520322F4B564D from 'create' accesses on the rawip_socket Unknown.
Summary: SELinux is preventing 43505520322F4B564D from 'create' accesses on the rawip_...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:737243d4e1dbb235cb4d0aadef7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 17:25 UTC by Mikhail
Modified: 2017-08-08 15:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:52:04 UTC


Attachments (Terms of Use)

Description Mikhail 2016-07-25 17:25:38 UTC
Description of problem:
SELinux is preventing 43505520322F4B564D from 'create' accesses on the rawip_socket Unknown.

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If you want to allow virt to use rawip
Then you must tell SELinux about this by enabling the 'virt_use_rawip' boolean.
You can read 'None' man page for more details.
Do
setsebool -P virt_use_rawip 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If you believe that 43505520322F4B564D should be allowed create access on the Unknown rawip_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c '43505520322F4B564D' --raw | audit2allow -M my-43505520322F4B564D
# semodule -X 300 -i my-43505520322F4B564D.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:svirt_t:s0:c258,c856
Target Context                unconfined_u:unconfined_r:svirt_t:s0:c258,c856
Target Objects                Unknown [ rawip_socket ]
Source                        43505520322F4B564D
Source Path                   43505520322F4B564D
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.5.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.6.4-301.fc24.x86_64+debug #1 SMP
                              Tue Jul 12 11:29:25 UTC 2016 x86_64 x86_64
Alert Count                   2
First Seen                    2016-07-25 22:22:45 YEKT
Last Seen                     2016-07-25 22:22:50 YEKT
Local ID                      b6ab7d9b-b59c-4fc5-b4e6-674e56d65958

Raw Audit Messages
type=AVC msg=audit(1469467370.353:408): avc:  denied  { create } for  pid=8237 comm=43505520342F4B564D scontext=unconfined_u:unconfined_r:svirt_t:s0:c258,c856 tcontext=unconfined_u:unconfined_r:svirt_t:s0:c258,c856 tclass=rawip_socket permissive=0


Hash: 43505520322F4B564D,svirt_t,svirt_t,rawip_socket,create

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64+debug
type:           libreport

Comment 1 Fedora Admin XMLRPC Client 2016-09-27 15:11:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora End Of Life 2017-07-25 22:02:29 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 15:52:04 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.